ContactGroups
Update a contact group
Updates an existing contact group's fields and returns the updated group. Use this endpoint to update a contact group through the Samva email API.
Updates an existing contact group's fields and returns the updated group.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string|null
description?string|null|null
type?|null
criteria?|null|null
color?string|null|null
icon?string|null|null
parentGroupId?|null|null
isActive?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/contact-groups/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "organizationId": "string", "name": "string", "description": "string", "type": "static", "criteria": {}, "color": "string", "icon": "string", "parentGroupId": "string", "contactCount": 0, "lastCalculatedAt": "string", "isActive": true, "createdAt": "string", "updatedAt": "string"}